Subject: Re: bug#26740: 24.5; emacs won't work if it can't talk to the router

From: Glenn Morris <[email-masked]>
Date: Tue, 02 May 2017 11:56:24 -0400

d paddy wrote:

> If the cable to the router is disconnected then emacs hangs.

I can't reproduce this. If I start Emacs, then turn off my internet
connection, Emacs continues to work fine.

> This is a bug because emacs should not be spying on people (phoneing
> home).

I can assure you Emacs doesn't phone home. We don't care what you and
Emacs get up to. :)

You can of course install add-ons that do anything. And you can use
Emacs to access remote files and servers. Any of these things could
cause a hang if your connection drop. Otherwise the only issue in this
area I know of is the startup hang due to domain name issues, documented
in PROBLEMS.

Unless you can provide a reproducible recipe starting from emacs -Q,
this report is unlikely to lead anywhere. You could also try attaching a
debugger to Emacs to see what it is waiting for.